/**
 * Pyx4me framework
 * Copyright (C) 2006-2007 pyx4.com.
 * 
 * @author vlads
 * @version $Id: WtkJadMojo.java 1506 2007-10-17 06:53:34Z vlads $
 */
package com.pyx4me.maven.j2me;

import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;

import de.pleumann.antenna.WtkJad;

/**
 * 
 * <p>
 * The WtkJad task allows to create new JAD files from scratch. In particular,
 * it is able to update the MIDlet-Jar-Size keys automatically.
 * </p>
 * 
 * @goal jad
 * @phase package
 * @description Create JAD files
 * 
 */

public class WtkJadMojo extends AbstractJadWtkMojo {

	public void execute() throws MojoExecutionException, MojoFailureException {
		executeCreateJad(this, classifier, false);
	}

	public static void executeCreateJad(AbstractJadWtkMojo mojo, String packageClassifier, boolean isTest)
			throws MojoExecutionException, MojoFailureException {
		if (mojo.wtkHome != null) {
			executeAntenna(mojo, packageClassifier, isTest);
		} else {
			mojo.executeCreateJad(packageClassifier, isTest);
		}
	}

	private static void executeAntenna(AbstractJadWtkMojo mojo, String packageClassifier, boolean isTest)
			throws MojoExecutionException, MojoFailureException {
		WtkJad task = mojo.createWtkJadTask(packageClassifier, isTest);
		mojo.executeTask(task);
	}

}
